Page MenuHomePhabricator

[CMake] Move debugserver options to separate debugserverConfig.cmake
ClosedPublic

Authored by sgraenitz on Dec 5 2018, 6:03 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

sgraenitz created this revision.Dec 5 2018, 6:03 AM
aprantl accepted this revision.Dec 5 2018, 9:15 AM
aprantl added inline comments.
cmake/modules/debugserverConfig.cmake
2 ↗(On Diff #176803)

I don't know CMake enough, but would it be feasible to have both file #include a fragment with the shared code?

This revision is now accepted and ready to land.Dec 5 2018, 9:15 AM
sgraenitz updated this revision to Diff 176950.Dec 6 2018, 4:26 AM

Avoid conflicts: updating diff for recent changes on master

sgraenitz updated this revision to Diff 177193.Dec 7 2018, 5:49 AM
sgraenitz marked 2 inline comments as done.

Remove LLDB_VERSION as it's not currently used by debugserver

sgraenitz updated this revision to Diff 177194.Dec 7 2018, 5:52 AM

Revert accidental change utils/lldb-dotest/CMakeLists.txt

sgraenitz marked an inline comment as done.Dec 7 2018, 5:53 AM
sgraenitz added inline comments.
cmake/modules/debugserverConfig.cmake
2 ↗(On Diff #176803)

Yes I think this makes sense as soon as the number of duplicates grows.

BTW I double-checked and we don't use LLDB_VERSION in debugserver standalone yet, so for now I won't add it. Updated the review accordingly.

xiaobai accepted this revision.Dec 7 2018, 10:31 AM

Also remove code sign configuration as it moved back into debugserver in D55013. With this, debugserverConfig became really small (for the moment), but I still think it's good to have it as counterpart for LLDBConfig.

This revision was automatically updated to reflect the committed changes.